def raise_on_new_thread
  Thread.new do
    puts  "In new thread"
    raise "Exception from new thread"
  end

  sleep 1
  puts "In main thread"
end

raise_on_new_thread
#=> In new thread
#=> In main thread

Thread.report_on_exception = true
raise_on_new_thread
#=> In new thread
#=> #<Thread:0x007fd5fb178af8@(irb):4 run> terminated with exception:
#=> (irb):6:in `block in raise_on_new_thread': Exception from new thread (RuntimeError)
#=> In main thread
