require 'logger'

formatter = proc { |severity, timestamp, progname, msg|
  "#{severity}: [#{timestamp}] #{progname}: #{msg}\n"
}
logger = Logger.new(STDOUT,
  level: :info,
  progname: 'DEMO1',
  datetime_format: "%d-%b-%Y@%H:%M:%S",
  formatter: formatter)
